import { Plugin } from "../../application/Plugin.mjs";
import { DesignableSwitch } from "./DesignableSwitch.mjs";
class SchemaComponentPlugin extends Plugin {
    async load() {
        this.addComponents();
    }
    addComponents() {
        this.app.addComponents({
            DesignableSwitch: DesignableSwitch
        });
    }
}
export { SchemaComponentPlugin };
